#macro FixedFighter(Loc,Rot,Tex,S,E) 

#if (clock > S)
#if (clock <= E)
#declare keyclock = mod((clock-S)/(E-S),1) 
#else #declare keyclock = 1 #end 
#else #declare keyclock = 0 #end


#declare Pig2 =pigment {rgb .25}
#declare Pig =pigment {rgb .75} 

#declare Burn =
#if (clock > S)
texture {pigment {bozo color_map {[-1*(keyclock)+1 rgb <1,.5,.1>/2 transmit 1][-.75*(keyclock)+1 rgb <1,.5,.1>/2]}scale 2} finish {ambient -1*keyclock+1.5}
scale .5
translate -10*z*keyclock
}   
#else 
texture {pigment {transmit 1} finish {ambient -1*keyclock+1.5}
}   
#end

#declare Scarring =
texture {pigment {bozo color_map {[0 rgb 0 transmit .875][1 rgb 0 transmit 1]}scale 2}}
texture {pigment {bozo pigment_map {[0 bozo color_map {[0 rgb 0 transmit .667][1 rgb 0 transmit 1]}scale .125][.5 rgb .175 transmit 1]}scale 2}translate 25}
#declare ScarBank = 
texture {Scarring scale 1/2}
texture {Scarring}
texture {Scarring scale 2}
texture {Scarring scale 4} 
texture {Burn scale 4}

#if (Tex = 1)
#declare SideTex3 =
texture {
pigment {
image_map {
png "side3.png"  
interpolate 2
}
} 
finish {ambient .125/2 diffuse 1.375 phong .125 metallic phong_size 40} 
scale <23.75,70,1>
rotate -90*y
translate < 0, -14.5, -9.5 > 
}
texture {ScarBank}  
texture {Burn scale 4}


#declare TopTex2 =
texture {
pigment {
image_map {
png "top2.png"  
interpolate 2
}
} 
finish {ambient .125/2 diffuse 1.375 phong .125 metallic phong_size 40} 
scale <32.75,21.75,1> 
rotate 90*x
translate <-32.75,0,-8.75>     
}
texture {ScarBank}
texture {Burn scale 4}

 
#declare TopTex3 =
texture {
pigment {
image_map {
png "top3.png"  
interpolate 2
}
} 
finish {ambient .125/2 diffuse 1.375 phong .125 metallic phong_size 40} 
scale <32.75,21.75,1> 
rotate 90*x
translate <-32.75,0,-8.75>     
}
texture {ScarBank}
texture {Burn scale 4}

#end
#if (Tex = 2)
#declare SideTex3 =
texture {
pigment {
image_map {
png "side3a.png"  
interpolate 2
}
} 
finish {ambient .125/2 diffuse 1.375 phong .125 metallic phong_size 40} 
scale <23.75,70,1>
rotate -90*y
translate < 0, -14.5, -9.5 > 
}
texture {ScarBank}
texture {Burn scale 4}

#declare TopTex2 =
texture {
pigment {
image_map {
png "top2a.png"  
interpolate 2
}
} 
finish {ambient .125/2 diffuse 1.375 phong .125 metallic phong_size 40} 
scale <32.75,21.75,1> 
rotate 90*x
translate <-32.75,0,-8.75>     
}
texture {ScarBank} 
texture {Burn scale 4}
 
#declare TopTex3 =
texture {
pigment {
image_map {
png "top3a.png"  
interpolate 2
}
} 
finish {ambient .125/2 diffuse 1.375 phong .125 metallic phong_size 40} 
scale <32.75,21.75,1> 
rotate 90*x
translate <-32.75,0,-8.75>     
}
texture {ScarBank}  
texture {Burn scale 4}
#end 



#declare RBox3 =
superellipsoid {
<.5, .5>
translate <1,1,1>
scale .5
}
#declare RBox2 =
superellipsoid {
<.25, .25>
translate <1,1,1>
scale .5
}
#declare RBox =
superellipsoid {
<.125, .125>
translate <1,1,1>
scale .5
}

// Object type: World
// Name: Root
object
{
   union
   {
      // Object type: Polynomial
      // Name: NoName
      object
      {
         RBox2

         scale < 13, 24.5, 20 >
         translate < -6.5, -12, -9 >
      }
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 9, 11, 20 >
                     translate < 5.5, 0, 11.5 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     rotate < -90, 0, 0 >
                     translate < -2, 0, 11.5 >
                  }
               }
            }
            // Object type: Sphere
            // Name: NoName
            object
            {
               sphere { < 0, 0, 0 >, 1 }

               scale < 9, 11, .01 >
               translate < 5.5, -1.6653e-16, 11.5 >
            }
         }
      }
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 9, 11, 20 >
                     translate < 5.5, 0, 11.5 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     rotate < -90, 0, 0 >
                     translate < -2, 0, 11.5 >
                  }
               }
            }
            // Object type: Sphere
            // Name: NoName
            object
            {
               sphere { < 0, 0, 0 >, 1 }

               scale < 9, 11, .5 >
               translate < 5.5, -1.6653e-16, 11.5 >
            }
         }
         scale <-1,1,1>
      }
      // Object type: HeightField
      // Name: COCP3.TGA
      object
      {
         height_field { tga "C:\COCP2.TGA" smooth water_level .01 translate -.05*y }

         scale < 13, 6, 25 >
         rotate < -90, 0, 0 >
         translate < -6.5, -12.25, -9 >  
         
texture {
pigment {image_map {png "c:\cocptex" interpolate 2}
scale <13,25,1>
translate <-6.5,-12.5,0> 
scale <1,1,1>
} 
finish {ambient .125/2 diffuse 1.375 phong .125 metallic phong_size 40} 
} 
texture {Burn scale 4}
scale <1,-1,1>
scale <1,1,1>
}
      // Object type: HeightField
      // Name: NOZZLE~2.TGA
      object
      {
         height_field { tga "C:\NOZZLE~3.TGA" smooth water_level .025 translate -.025*y}

         scale < 15, 18, 22.5 >
         rotate < 90, 0, 0 >
         translate < 0, 11.25, 11.75 > 
         
         texture {pigment {image_map {png "c:\nozzletex2.png" interpolate 2}}
         finish {ambient .25/4 diffuse 1}
         scale <15,22.5,1>
         translate < 0, -11.25,0>
         } 
         texture {pigment { gradient z triangle_wave
         color_map {
         [.5 rgbt <0,0,0,1>]
         [.6 rgb .25 transmit .5]
         }
         }
         scale 2
         }  
         texture {pigment {image_map {png "c:\nozzleglow2.png" interpolate 2}} finish {ambient 4 phong .125}
         scale <15,22.5,1>
         translate < 0, -11.25,0>
         }
         texture {Burn scale 4} 
         
      }
      // Object type: HeightField
      // Name: NOZZLE~2.TGA
      object
      {
         height_field { tga "C:\NOZZLE~3.TGA" smooth water_level .025 translate -.025*y}

         scale < 15, 18, 22.5 >
         rotate < 90, 0, 0 >
         translate < 0, 11.25, 11.75 > 
         
         texture {pigment {image_map {png "c:\nozzletex2.png" interpolate 2}}
         finish {ambient .25/4 diffuse 1}
         scale <15,22.5,1>
         translate < 0, -11.25,0>
         } 
         texture {pigment { gradient z triangle_wave
         color_map {
         [.5 rgbt <0,0,0,1>]
         [.6 rgb .25 transmit .5]
         }
         }
         scale 2
         }  
         texture {pigment {image_map {png "c:\nozzleglow2.png" interpolate 2}} finish {ambient 4 phong .125}
         scale <15,22.5,1>
         translate < 0, -11.25,0>
         }
         texture {Burn scale 4} 
         translate <0,0,-.1>
         
      }  
       // Object type: HeightField
      // Name: NOZZLE~2.TGA
      object
      {
         height_field { tga "C:\NOZZLE~3.TGA" smooth water_level .025 translate -.025*y}

         scale < 15, 18, 22.5 >
         rotate < 90, 0, 0 >
         translate < 0, 11.25, 11.75 > 
         
         texture {pigment {image_map {png "c:\nozzletex2.png" interpolate 2}}
         finish {ambient .25/4 diffuse 1}
         scale <15,22.5,1>
         translate < 0, -11.25,0>
         } 
         texture {pigment { gradient z triangle_wave
         color_map {
         [.5 rgbt <0,0,0,1>]
         [.6 rgb .25 transmit .5]
         }
         }
         scale 2
         }  
         texture {pigment {image_map {png "c:\nozzleglow2.png" interpolate 2}} finish {ambient 4 phong .125}
         scale <15,22.5,1>
         translate < 0, -11.25,0>
         }
         texture {Burn scale 4} 
       scale <-1,1,1>  
      }
       // Object type: HeightField
      // Name: NOZZLE~2.TGA
      object
      {
         height_field { tga "C:\NOZZLE~3.TGA" smooth water_level .025 translate -.025*y}

         scale < 15, 18, 22.5 >
         rotate < 90, 0, 0 >
         translate < 0, 11.25, 11.75 > 
         
         texture {pigment {image_map {png "c:\nozzletex2.png" interpolate 2}}
         finish {ambient .25/4 diffuse 1}
         scale <15,22.5,1>
         translate < 0, -11.25,0>
         } 
         texture {pigment { gradient z triangle_wave
         color_map {
         [.5 rgbt <0,0,0,1>]
         [.6 rgb .25 transmit .5]
         }
         }
         scale 2
         }  
         texture {pigment {image_map {png "c:\nozzleglow2.png" interpolate 2}} finish {ambient 4 phong .125}
         scale <15,22.5,1>
         translate < 0, -11.25,0>
         }
         texture {Burn scale 4} 
       scale <-1,1,1> 
       translate <0,0,-.1> 
      }
            // Object type: Polynomial
      // Name: NoName
      object
      {
         RBox2

         scale < 9, 6.75, 16.25 >
         translate < -4.5, 11-4, -7.5 >
      }
      // Object type: Polynomial
      // Name: NoName
      object
      {
         RBox2

         scale < 9, 6.75, 16.25 >
         translate < -4.5, -13+4, -7 >
      }
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 1, 1, 7.5 >
         translate < 1.5, 13.5, 1 >
      }
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 1, 1, 7.5 >
         translate < -1.5, 13.5, 1 >
      }
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 1, 1, 7.5 >
         translate < 4.5, -12, 1 >
      }
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 1, 1, 7.5 >
         translate < -4.5, -12, 1 >
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               RBox

               scale < 2, 39, 20 >
               translate < -1, 11, -6.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 10, 1, 50 >
               rotate < 98.471, 0, 0 >
               translate < 0, 11, -6.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 10, 26, 20 >
               rotate < -5.528, 0, 0 >
               translate < -5, 25, 11 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 10, 8.858, 20 >
               rotate < -15.25, 0, 0 >
               translate < -5, 16.5, 13.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < -59.245, 0, 0 >
               translate < 0, 15, 12.5 >
            }
            // Object type: Polynomial
            // Name: NoName
            object
            {
               RBox3

               scale < 1, 15.5, 33 >
               translate < -0.5, 17.5, 6 >

               texture
               {
                  Pig2
                  scale < 1, 15.5, 33 >
                  translate < -0.5, 17.5, 6 >
               }
            }
            // Object type: Polynomial
            // Name: NoName
            object
            {
               RBox3

               scale < 1, 4, 19 >
               translate < -0.5, 12, 8 >

               texture
               {
                  Pig2
                  scale < 1, 4, 19 >
                  translate < -0.5, 12, 8 >
               }
            }
            // Object type: Polynomial
            // Name: NoName
            object
            {
               RBox3

               scale < 1, 12.5, 33 >
               translate < -0.5, 34, -14.5 >

               texture
               {
                  Pig2
                  scale < 1, 12.5, 33 >
                  translate < -0.5, 34, -14.5 >
               }
            }
            // Object type: Polynomial
            // Name: NoName
            object
            {
               RBox3

               scale < 1, 18, 19 >
               translate < -0.5, 15, -14.5 >

               texture
               {
                  Pig2
                  scale < 1, 18, 19 >
                  translate < -0.5, 15, -14.5 >
               }
            }
         }
      }
      // Object type: Difference
      // Name: ThrustPod
      object
      {
         difference
         {
            // Object type: Sphere
            // Name: NoName
            object
            {
               sphere { < 0, 0, 0 >, 1 }

               scale < 4, 2.5, 8.5 >
               translate < 0, 52.5, 4 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               translate < 1.25, 48, 1 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               rotate < 0, 0, -90 >
               translate < -4.5, 52.5, 1 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               rotate < 0, 0, -90 >
               translate < -4.5, 52.5, 3 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               rotate < 0, 0, -90 >
               translate < -4.5, 52.5, 5 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               rotate < 0, 0, -90 >
               translate < -4.5, 52.5, 7 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               rotate < 0, 0, -90 >
               translate < -4.5, 52.5, 9 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               translate < -1.25, 48, 1 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               translate < -1.25, 48, 5 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               translate < -1.25, 48, 9 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               translate < 1.25, 48, 5 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.5, 9, 0.5 >
               translate < 1.25, 48, 9 >
            }
         }
      } 
      
      #declare ThrustWing =
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Difference
            // Name: ThrustPod
            object
            {
               difference
               {
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 4, 2.5, 8.5 >
                     rotate < 0, 0, 90 >
                     translate < -29.75, -1.6698e-13, 3 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     rotate < 0, 0, 90 >
                     translate < -25.25, 1.25, 2.3842e-07 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     translate < -29.75, -4.5, 2.3842e-07 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     translate < -29.75, -4.5, 2 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     translate < -29.75, -4.5, 4 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     translate < -29.75, -4.5, 6 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     translate < -29.75, -4.5, 8 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     rotate < 0, 0, 90 >
                     translate < -25.25, -1.25, 2.3842e-07 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     rotate < 0, 0, 90 >
                     translate < -25.25, -1.25, 4 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     rotate < 0, 0, 90 >
                     translate < -25.25, -1.25, 8 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     rotate < 0, 0, 90 >
                     translate < -25.25, 1.25, 4 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 open }

                     scale < 0.5, 9, 0.5 >
                     rotate < 0, 0, 90 >
                     translate < -25.25, 1.25, 8 >
                  }
               }
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     RBox

                     scale < 2, 28.5, 20 >
                     rotate < 0, 0, 90 >
                     translate <0, -1, -7.5 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 10, 1, 50 >
                     rotate < 98.471, 0, 90 >
                     translate < 1.7764e-15, 0, -7.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 10, 26, 20 >
                     rotate < -5.528, 0, 90 >
                     translate < -14, -5, 10 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 10, 8.858, 20 >
                     rotate < -15.25, 0, 90 >
                     translate < -5.5, -5, 12.5 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 20 >
                     rotate < -59.245, 0, 90 >
                     translate < -4, -1.7485e-07, 11.5 >
                  }
                  // Object type: Polynomial
                  // Name: NoName
                  object
                  {
                     RBox3

                     scale < 1, 15.5, 33 >
                     rotate < 0, 0, 90 >
                     translate < -6.5, -0.5, 5 >

                     texture
                     {
                        Pig2
                        scale < 1, 15.5, 33 >
                        rotate < 0, 0, 90 >
                        translate < -6.5, -0.5, 5 >
                     }
                  }
                  // Object type: Polynomial
                  // Name: NoName
                  object
                  {
                     RBox3

                     scale < 1, 4, 19 >
                     rotate < 0, 0, 90 >
                     translate < -1, -0.5, 7 >

                     texture
                     {
                        Pig2
                        scale < 1, 4, 19 >
                        rotate < 0, 0, 90 >
                        translate < -1, -0.5, 7 >
                     }
                  }
                  // Object type: Polynomial
                  // Name: NoName
                  object
                  {
                     RBox3

                     scale < 1, 3.5, 33 >
                     rotate < 0, 0, 90 >
                     translate < -23, -0.5, -15.5 >

                     texture
                     {
                        Pig2
                        scale < 1, 3.5, 33 >
                        rotate < 0, 0, 90 >
                        translate < -23, -0.5, -15.5 >
                     }
                  }
                  // Object type: Polynomial
                  // Name: NoName
                  object
                  {
                     RBox3

                     scale < 1, 18, 19 >
                     rotate < 0, 0, 90 >
                     translate < -4, -0.5, -15.5 >

                     texture
                     {
                        Pig2
                        scale < 1, 18, 19 >
                        rotate < 0, 0, 90 >
                        translate < -4, -0.5, -15.5 >
                     }
                  }
               }
            }

sphere_sweep{
linear_sphere_sweep,
6,
<0,0,-7.5>     ,.25 
<-28.5,0,-3.25>,.25 
<-28.5,0,8.5>  ,.25 
<-14,0,10>     ,.25
<-5.5,0,12.5>  ,.25 
<0,0,9.25>     ,.25 
translate .75*y
}
 
sphere_sweep{
linear_sphere_sweep,
6,
<0,0,-7.5>     ,.25 
<-28.5,0,-3.25>,.25 
<-28.5,0,8.5>  ,.25 
<-14,0,10>     ,.25
<-5.5,0,12.5>  ,.25 
<0,0,9.25>     ,.25 
translate -.75*y
} 
            
         }
      }
      
 union {ThrustWing texture {TopTex2} rotate 30*z translate <-3.5,-11,1>} 
 union {ThrustWing texture {TopTex3} rotate 30*z translate <-3.5,-11,1> scale <-1,1,1>}    

sphere_sweep{
linear_sphere_sweep,
6,
<0,13.75,-6>   ,.25 
<0,50.75,-0.5> ,.25 
<0,50.75,8.5>  ,.25 
<0,25,11.125>  ,.25
<0,16.625,13.5>,.25 
<0,9.625,9.25> ,.25 
translate .75*x
}
 
sphere_sweep{
linear_sphere_sweep,
6,
<0,13.75,-6>   ,.25 
<0,50.75,-0.5> ,.25 
<0,50.75,8.5>  ,.25 
<0,25,11.125>  ,.25
<0,16.625,13.5>,.25 
<0,9.625,9.25> ,.25 
translate -.75*x
}


union { 
sphere_sweep{
linear_sphere_sweep,
6,
<10.25,-7.25,0>,.5 
<11.25,-8.25,0>,.5 
<9.25,-12.75,0>,.5 
<12.25,-14.75,0>,.5
<15.5,-16.5,0>,.5 
<15,-17.75,0>,.5 
 
translate 6*z
} 
sphere_sweep{
linear_sphere_sweep,
6,
<10.25,-7.25,0>,.5 
<11.25,-8.25,0>,.5 
<9.25,-12.75,0>,.5 
<12.25,-14.75,0>,.5
<15.5,-16.5,0>,.5 
<15,-17.75,0>,.5 

translate 9*z
}

sphere_sweep{
linear_sphere_sweep,
6,
<10.25,-7.25,0>,.5 
<11.25,-8.25,0>,.5 
<9.25,-12.75,0>,.5 
<12.25,-14.75,0>,.5
<15.5,-16.5,0>,.5 
<15,-17.75,0>,.5 
 
translate 6*z
scale <-1,1,1>
} 
sphere_sweep{
linear_sphere_sweep,
6,
<10.25,-7.25,0>,.5 
<11.25,-8.25,0>,.5 
<9.25,-12.75,0>,.5 
<12.25,-14.75,0>,.5
<15.5,-16.5,0>,.5 
<15,-17.75,0>,.5 

translate 9*z
scale <-1,1,1>
}

sphere_sweep{
linear_sphere_sweep,
5,
<1.5,13.5,0>,.5
<1.5,19.75,0>,.5
<1.5,25,2.5>,.5
<1.5,30.75,2.5>,.5
<0,30.75,2.5>,.5
translate 5*z 
}
sphere_sweep{
linear_sphere_sweep,
5,
<1.5,13.5,0>,.5
<1.5,19.75,0>,.5
<1.5,25,2.5>,.5
<1.5,30.75,2.5>,.5
<0,30.75,2.5>,.5
translate 5*z 
scale <-1,1,1>
}  




sphere_sweep{
linear_sphere_sweep,
6,
<2.5,-11.75,3.5>,.5
<2.5,-12.75,3.5>,.5
<5.75,-13.75,3.5>,.5
<7,-14.25,7.5>,.5
<15.25,-19,7.5>,.5
<16,-18.25,7.5>,.5
}
sphere_sweep{
linear_sphere_sweep,
6,
<2.5,-11.75,3.5>,.5
<2.5,-12.75,3.5>,.5
<5.75,-13.75,3.5>,.5
<7,-14.25,3.5>,.5
<15.25,-19,3.5>,.5
<16,-18.25,3.5>,.5
translate -6*z  
}
sphere_sweep{
linear_sphere_sweep,
6,
<2.5,-11.75,3.5>,.5
<2.5,-12.75,3.5>,.5
<5.75,-13.75,3.5>,.5
<7,-14.25,7.5>,.5
<15.25,-19,7.5>,.5
<16,-18.25,7.5>,.5
scale <-1,1,1>
}
sphere_sweep{
linear_sphere_sweep,
6,
<2.5,-11.75,3.5>,.5
<2.5,-12.75,3.5>,.5
<5.75,-13.75,3.5>,.5
<7,-14.25,3.5>,.5
<15.25,-19,3.5>,.5
<16,-18.25,3.5>,.5
translate -6*z  
scale <-1,1,1>
}
texture {pigment {rgb .5} finish {phong .5}}
texture {ScarBank}
texture {ScarBank scale .5 translate 34}
}
/*box {0,1
hollow on no_shadow
scale < 24, 24, 30 >
translate < -12, -12, 0 > 
pigment {rgbt 1}         
interior {
media{
intervals 5
samples 1,5
variance 1/100
confidence .9
emission <.375,.25,.75>*.5/1.25
density { cylindrical
color_map{
[0 rgb 0] 
[.66 rgb .25]
[1 rgb .5]
}
scale <11,20,11>
rotate 90*x
translate <0,0,0>
} 
density { gradient z triangle_wave
color_map{
[0 rgb 0]
[1.0 rgb 1]
}
scale <1,1,60>
translate <0,0,-30>
} 
density { gradient x triangle_wave
color_map{
[.25 rgb 0]
[.5 rgb 1]
}
scale <30,1,0>
translate <-7.5,0,0>
}
density { bozo
color_map{
[0 rgb 1]
[1.0 rgb .5]
}
translate -40*clock*z 
warp {turbulence 1}
translate 40*clock*z
scale <2,2,4>
}
density { bozo
color_map{
[0 rgb 1.5]
[1.0 rgb .5]
}
translate -20*clock*z
warp {turbulence 4}
translate 20*clock*z 
scale <2,2,4>*2
}  
density { bozo
color_map{
[0 rgb 2]
[1.0 rgb .5]
}
translate -10*clock*z
warp {turbulence 1}
translate 10*clock*z 
scale 6
}
}
} 
scale <1,1,.6>
translate <4,0,13>
}*/
}
texture {SideTex3} 
scale 1.25
translate -8*y 
//rotate 180*z
rotate Rot
translate Loc
}  
#end
//